Information Exposure

Affecting org.elasticsearch:elasticsearch artifact, versions [6.0.0, 6.3.0)

Do your applications use this vulnerable package? Test your applications

Overview

org.elasticsearch:elasticsearch is a Distributed, RESTful Search Engine.

Affected versions of this package are vulnerable to Information Exposure. When the repository-azure plugin is set to log at TRACE level Azure credentials can be inadvertently logged.

Remediation

Upgrade org.elasticsearch:elasticsearch to version 6.3.0 or higher.

References

CVSS Score

8.1
high severity
  • Attack Vector
    Network
  • Attack Complexity
    High
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    High
  • Integrity
    High
  • Availability
    High
CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H
Credit
Unknown
CVE
CVE-2018-3827
CWE
CWE-200
Snyk ID
SNYK-JAVA-ORGELASTICSEARCH-460554
Disclosed
19 Sep, 2018
Published
02 Sep, 2019